Preskoči na sadržaj

Selecting data

For each endpoint, you can select which columns you want to retrieve by using the select query parameter. Besides the columns of the resource itself, you can also select columns from related resources. For more advanced selection options refer to the PostgREST documentation.

Selecting all columns
curl -X GET "https://api.bookingmood.com/v1/products?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"
Selecting specific columns
curl -X GET "https://api.bookingmood.com/v1/products?select=id,name" \
  -H "Authorization: Bearer YOUR_API_KEY"
Including data from related tables
curl -X GET "https://api.bookingmood.com/v1/products?select=name,capacities(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

Preuzmite kontrolu nad svojim rezervacijama. Izgradite posao koji posjedujete.

Pridružite se 1200+ neovisnim tvrtkama za iznajmljivanje smještaja koristeći Bookingmood kako biste povećali broj izravnih rezervacija i izgradili jače odnose s gostima.

Započnite besplatno 14-dnevno probno razdoblje